export interface ICacheEntryStateMigrator {
    state: string;
    replacement: string;
}
export interface IRecentHistoryEntry {
    params: any;
    state: string;
    accessTime: number;
    extraData: any;
    id: string;
}
export declare class RecentHistoryService {
    private static cache;
    static getItems(type: any): IRecentHistoryEntry[];
    static addItem(type: string, state: string, params: any, keyParams?: string[]): void;
    static removeItem(type: string, id: string): void;
    static removeLastItem(type: string): void;
    /**
     * Used to include additional fields needed by display formatters that might not be present in $stateParams,
     * but are resolved in a controller when the view loads
     * See instanceDetails.controller.js for an example
     * @param type
     * @param extraData
     */
    static addExtraDataToLatest(type: string, extraData: any): void;
    /**
     * Called when deleting an application to remove its record in recent history
     * @param appName
     */
    static removeByAppName(appName: string): void;
    private static getExisting;
}
export declare const RECENT_HISTORY_SERVICE = "spinnaker.core.history.recentHistory.service";
